> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Magic Embed settings

> Enable or update Magic Embed for a project. Set `enabled` and `allowed_domains` to control where the Magic Embed script can ingest content.

Enable or update Magic Embed for a project. Set `enabled` and `allowed_domains` to control where the Magic Embed script can ingest content.

See the [Magic Embed guide](/docs-and-guides/integrations/magic-embed) for setup instructions.


## OpenAPI

````yaml put /projects/{project_id}/integrations/client_side
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/integrations/client_side:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    put:
      tags:
        - Magic Embed
      summary: Update Magic Embed settings
      description: >-
        Enable or update Magic Embed for a project. Set `enabled` and
        `allowed_domains` to control where the Magic Embed script can ingest
        content.
      operationId: client_side#update
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyClientSideIntegrationUpdate'
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/clientSideIntegrationExample'
              schema:
                $ref: '#/components/schemas/clientSideIntegrationModel'
      security:
        - apiKey: []
components:
  schemas:
    requestBodyClientSideIntegrationUpdate:
      type: object
      properties:
        enabled:
          type: boolean
        allowed_domains:
          type: array
          items:
            type: string
    clientSideIntegrationModel:
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether or not the client side integration should be enabled.
            Disabled by default.
        allowed_domains:
          type: array
          items:
            type: string
          description: >-
            The list of domains from which to import content into the
            BeyondWords platform.
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  examples:
    clientSideIntegrationExample:
      summary: A sample client side integration
      value:
        enabled: false
        allowed_domains:
          - example.com
          - m.example.com
        created: 2023-01-01 00:00:00 UTC
        updated: 2023-01-01 00:00:00 UTC
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````